Loading...
Searching...
No Matches
XrdFrmConfigSE Class Reference
Collaboration diagram for XrdFrmConfigSE:

## Public Member Functions

| XrdFrmConfigSE ()
| ~XrdFrmConfigSE ()

## Public Attributes

int | BLen
char | Buff [32000]
int | myFD
XrdSysSemaphore | mySem
int | seFD

## Detailed Description

Definition at line 80 of file XrdFrmConfig.cc.

## Constructor & Destructor Documentation

## XrdFrmConfigSE()

XrdFrmConfigSE::XrdFrmConfigSE | ( |  | ) |

inline

Definition at line 90 of file XrdFrmConfig.cc.

: mySem(0), myFD(-1), seFD(-1), BLen(0) {}
XrdFrmConfigSE::BLen
int BLen
Definition XrdFrmConfig.cc:87
XrdFrmConfigSE::myFD
int myFD
Definition XrdFrmConfig.cc:85
XrdFrmConfigSE::seFD
int seFD
Definition XrdFrmConfig.cc:86
XrdFrmConfigSE::mySem
XrdSysSemaphore mySem
Definition XrdFrmConfig.cc:84

References BLen, myFD, mySem, and seFD.

## ~XrdFrmConfigSE()

XrdFrmConfigSE::~XrdFrmConfigSE | ( |  | ) |

inline

Definition at line 91 of file XrdFrmConfig.cc.

{}

## Member Data Documentation

## BLen

int XrdFrmConfigSE::BLen

Definition at line 87 of file XrdFrmConfig.cc.

Referenced by XrdFrmConfigSE(), XrdFrmConfig::Configure(), and XrdFrmConfigMum().

## Buff

char XrdFrmConfigSE::Buff[32000]

Definition at line 88 of file XrdFrmConfig.cc.

Referenced by XrdFrmConfig::Configure(), and XrdFrmConfigMum().

## myFD

int XrdFrmConfigSE::myFD

Definition at line 85 of file XrdFrmConfig.cc.

Referenced by XrdFrmConfigSE(), and XrdFrmConfigMum().

## mySem

XrdSysSemaphore XrdFrmConfigSE::mySem

Definition at line 84 of file XrdFrmConfig.cc.

Referenced by XrdFrmConfigSE(), XrdFrmConfig::Configure(), and XrdFrmConfigMum().

## seFD

int XrdFrmConfigSE::seFD

Definition at line 86 of file XrdFrmConfig.cc.

Referenced by XrdFrmConfigSE(), and XrdFrmConfigMum().

The documentation for this class was generated from the following file:

- XrdFrmConfig.cc